Home > Technical Documentation > Man Pages > hplip-install

# hplip-install: HPLIP Installer (ver. 3.0)

Installer for HPLIP tarball.

Usage: sh ./hplip-install [MODE] [OPTIONS]

[MODE]

Run in interactive (text) mode: | -t or --text or -i or --interactive (Default)

[OPTIONS]

Automatic mode (chooses the most common options): | -a or --auto
Force install of all dependencies (FOR TESTING ONLY): | -x
Unknown distro mode (FOR TESTING ONLY): | -d
Set the logging level: | -l<level> or --logging=<level>
| <level>: none, info*, error, warn, debug (*default)
Run in debug mode: | -g (same as option: -ldebug)
This help information: | -h or --help

Notes:

Page last updated: Fri Sep 28 16:44:54 2007; HPLIP Version: 2.7.9